package oop.Abstraction.Zoo;
import java.util.ArrayList;

public class ZooMain {

	public static void main(String[] args) throws Exception {
		ArrayList<Animal> tiere = new ArrayList<>();
		
//		// Animal a = new Animal("Animal", "1934");  // abstrakt, daher keine Instanzen möglich!
//		
//		Animal c = new Cat("Sylvester", 1947);
//		c.speak();
//		
//		Cat cat = (Cat) c;
//		
//		tiere.add(c);
//		
//		Animal d = new Dog("Spike", 1963);
//		d.speak();
//		tiere.add(d);
		
		Animal t = Animal.tiereErzeugen("Hund");
		
		System.out.println(t.toString());
		
		System.out.println("Anzahl der Tiere im Zoo: " + tiere.size());

	}

}
